%define sourcename gkrellmoon
%define plugin moon

Name: gkrellm-%plugin
Version: 0.6
Release: alt3

Summary: GKrellM moon plugin
Summary(ru_RU.CP1251):  moon  GKrellM
License: GPL
Group: Monitoring
Url: http://gkrellmoon.sourceforge.net
Source: http://umn.dl.sourceforge.net/sourceforge/gkrellmoon/%sourcename-%version.tar.gz

Patch0: gkrellmoon-0.6-alt-i18n.patch.gz
Patch1: gkrellmoon-0.6-alt-ru.patch.gz
Patch2: gkrellmoon-0.6-alt-install.patch.gz

Provides: %sourcename = %version
Obsoletes: %sourcename <= %version

Requires: gkrellm >= 2.0

# Automatically added by buildreq on Sun Mar 30 2003
BuildRequires: XFree86-devel gkrellm-devel glib2-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig

%description
This GKrellM plugin shows the current moon phase for your location.

%description -l ru_RU.CP1251
 GKrellM        .

%prep
%setup -q -n %sourcename-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make_build enable_nls=1 LOCALEDIR=%_datadir/locale

%install
mkdir -p %buildroot%_libdir/gkrellm2/plugins
%make_install install enable_nls=1 PLUGIN_DIR=%buildroot%_libdir/gkrellm2/plugins INSTALL_PREFIX=%buildroot LOCALEDIR=%_datadir/locale
%find_lang %sourcename

%files -f %sourcename.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%_libdir/gkrellm2/plugins/gkrell%plugin.so

%changelog
* Tue May 18 2004 Alex Murygin <murygin@altlinux.ru> 0.6-alt3
- renamed to gkrellm-{NAME}
- added russian summary, description

* Sun Mar 30 2003 Alex Murygin <murygin@altlinux.ru> 0.6-alt2
- Added russian translation
- Added i18n support

* Mon Mar 03 2003 Alex Murygin <murygin@altlinux.ru> 0.6-alt1
- Built for ALTLinux
